digivod version 4.0 released

digivod version 4.0 released

digivod Video Management Software 4.0 is available now. Release 4.0 is a major release and brings numerous technical innovations and improvements.

What’s new? Here is a brief overview:

  • Brand new architecture for easy integration of video analytics (live and retrograde evaluation), external devices and support of large installations with a variety of cameras / distributed recorders
  • GPU based decoding / encoding / transcoding both for the client and for the server, starting with the Intel graphics chip
  • Video rendering supports NVIDIA and Intel graphics chip (DirectX12 required)
  • Even more camera configuration options with auto-energizing secondary power, special support for mobile-connected cameras, etc.
  • Absolutely live: Delays are visualized (configurable)
  • More features for alarm management, overview and quick reactions
  • Better support for research: new event list, flexible configuration of views on events, image enhancement filter, image report, etc.
  • New configuration of our LPR Professional Analysis (ARH), whitelists now support wildcards
  • New actions compliant to the European GDPR: Interrupt / delete recording with continuous logging etc.
  • RTSP streaming via the recorder
  • and much more!

Installation instructions

digivod 4.0 is a major release. Due to various technical improvements and adjustments, Version 4 differs significantly from its predecessors. We recommend reinstalling instead of updating an older digivod version. When updating from an older version, certain elements of the configuration might not have to be adopted and subsequently manually created again. Please perform a configuration backup before every update!

The release 4.0.1.44120 is initially released for single-recorder installations. The features Multi-Location (including NSL and Broker), Multi-Recording and Failover are in the beta test and not yet released. If you use one of these features, we advise against an update and ask for a little patience.

Technical requirements

digivod 4.0 requires .NET Framework 4.5 (full profile) and Windows 10 (64 bit) or newer. It is highly recommended that you install all Windows updates and make sure you have the latest .NET Framework software installed. In addition, all system drivers (especially video card drivers) must be updated.

You are unsure if you can upgrade to 4.0 without hesitation? Feel free to contact our support.